# RED-Specific Parameters

The RED-specific Parameters table lists the specific and advanced parameters for the Substation ES interface for RED. You should change the values of these parameters only if you are knowledgeable about the system or if you are assisted by a Substation ES representative.

RED-Specific Parameters
Parameter | Description
--- | ---
ADM-NAME = {REDADM | name} | The ADM-NAME parameter defines the RED target member in a CICS region for the RED Interface administrator activity use. The maximum length is 12 characters. The default name is REDADM.
AMSG-BUFFER-64 = {Y | Yes, No} | The AMSG-BUFFER-64 parameter determines whether or not the async message buffer pool location uses 64-bit mode.
AMSG-MAXLEN = {40000 | number} | The AMSG-MAXLEN parameter sets the maximum async message length to be used in RED Interface. The valid values range from 1024 to 1000000. The default value is 40000 bytes.
AMSG-MODE = {F |F,R } | The AMSG-MODE parameter sets mode R for Round-Robin; F for Primary-Alternate. The default value is F.
AMSG-ORDERED-YN = {Y | Yes, No} | The AMSG-ORDERED-YN parameter sets the message delivery order type used in the buffer pool. The valid values are as follows: Y: indicates that the order is preserved in the buffer pool. The default value is Y. N: indicates that the order is not preserved.
AMSG-PRIORITY = {1 | number} | The AMSG-PRIORITY parameter specifies a priority for RED Interfaces connecting to CICS region. Currently this is used only for trigger processing and works in conjunction with the AMSG-MODE parameter. The priority has no effect when the AMSG-MODE is set to "R" (round-robin). When the MODE is "F", the trigger server will send messages to the interface with the highest priority. The valid values range from 1 to 99. The default value is 1.
AMSG-STRESS-DELAY = {300 | number} | The AMSG-STRESS-DELAY parameter sets the delay value in milliseconds when stress is happening. The valid values range from 1 to 10000. The default value is 300.
CICS-ABEND-VALUE = {5|number} | The CICS-ABEND-VALUE parameter specifies the maximum number of abends that can occur for #RED in CICS. After the limit is reached, #RED will not execute anymore. The values range from 1 to 50. The default value is 5.
CICS-LSN-NAME = {name} | The CICS-LSN-NAME parameter specifies the name of RED CICS recipe services listener. The name specified here is the target member of the RED URL. By specifying a value "&APPLID", the CICS region APPLID will be used as the listener name. The maximum length is 15 characters.
CICS-MAIN-ACTIVE = {500 | number} | The CICS-MAIN-ACTIVE parameter specifies the time in milliseconds secondary #RED tasks remain active before returning to CICS. This is a tuning parameter that can be set when transaction input spikes in load, the system may benefit from making this value slightly larger. The valid range is from 500 to 10000. The default value is 500.
CICS-MAIN-MAX = {21 | number} | The CICS-MAIN-MAX parameter specifies the maximum number of Mainframe RED CICS recipe service receive transactions that can be run concurrently. The valid range is from 5 to 800. The default value is 21. Note: Ensure to check your CICS MAXOPENTCB parameter to make sure the number is greater than this value
CICS-MAIN-TXID = {#RED | name} | The CICS-MAIN-TXID parameter specifies the identifier of a Mainframe RED CICS receive recipe service transaction. The maximum length is 4 characters. Note: Do not change this setting except under direction by TIBCO Substation ES support personnel.
CICS-TWA-CLEAR-YN = {N | Yes, No} | The CICS-TWA-CLEAR-YN parameter is used only in the Interface for RED. When the #RED transaction does a LINK to a user program and that program or any subsequent programs called but it may be using the TWA, when control is the #RED CICS program will clear the TWA before the start of each program LINK ensuring that the user program gets an initialized copy of the CICS TWA. The TWA is initialized with binary zeros (0x00); The default value is N.
CICS-USER-MAX = {50 | number} | The CICS-USER-MAX parameter specifies the maximum number of Mainframe RED CICS user recipe services that can be handled concurrently. The valid range is from 0 to 500. The default value is 50.
CMSG-BUFFERS = {100 | number} | The CMSG-BUFFERS parameter specifies the number of message buffers used to process receive messages. The valid values range from 5 to 50000. The default value is 100.
CMSG-BUFFER-64 = {N | Yes, No} | The CMSG-BUFFER-64 parameter indicates the buffer pool location of RED CICS Receive services uses 64-bit mode. The default value is N.
CMSG-BUFFER-SZ = {4096 | number} | The CMSG-BUFFER-SZ parameter specifies the length of the buffer message used to handle receive messages. The valid values range from 1024 to 500000. The default value is 4096.
CMSG-BUFF-THROT = {70 | number} | The CMSG-BUFF-THROT parameter instructs the CICS message listener receiving messages to set a throttle percent for the number of buffers in use. For more information, see the RED throttle handling documentation. The valid values range from 40 to 95. The default value is 70.
CMSG-CHECK-STG = {100 | number} | The CMSG-CHECK-STG parameter is used to determine how often SXCO#RED checks the amount of storage that has been used. The value specified is the number of transactions executed between each storage check. During a storage check, if the storage grows by more than 100000 bytes, SXC#RED recycles itself so that CICS can clean up memory. The minimum value is 0, the maximum value is 10000, and the default value is 100.
CMSG-CICS-WAIT={10 | number} | The CMSG-CICS-WAIT parameter specifies the timeout value in seconds for the CICS RED server program SXCO#RED to react when it is waiting for a COMMIT or ROLLBACK command from Substation ES. If Substation ES does not respond back to SXCO#RED within this allotted wait time, an `EXEC CICS SYNCPOINT ROLLBACK` message is issued. The parameter value implementation applies only to "Guaranteed" Recipes. The valid range is from 5 to 60. The default value is 10.
CMSG-MAXLEN = {16382 | number} | The CMSG-MAXLEN parameter sets the maximum length of recipe messages that can be handled in RED Interface The valid values range from 1024 to 1000000. The default value is 16382.
CMSG-ORDERED-YN = {Y | Yes, No} | The CMSG-ORDERED-YN parameter sets the receive services message delivery order type used in the buffer pool. Y indicates that the order is preserved in the buffer pool; N indicates the order is not preserved. The default value is Y.
CMSG-PACING = {0 | number} | The CMSG-PACING parameter instructs the receive service to wait for the specified number of microseconds after receiving a message before returning to the CICS application. The valid range is from 0 to 5000000. The default value is 0, which indicates no wait time.
CMSG-WAIT = {20 | number} | The CMSG-WAIT parameter determines the length of time (in seconds) that the receive messages thread sets in the RIB for a reply message to return to the sender. This option takes effect only when a reply is required. The valid values range from 0 to 60 seconds. The default value is 20.
CMSG-WORKERS = {5 | number} | The CMSG-WORKERS parameter specifies the number of Substation ES worker threads within the CICS region. The valid values range from 0 to 50. The default value is 5.
CMSG-SEND-CONFIRM = {N | Yes, No} | The CMSG-SEND-CONFIRM parameter indicates whether the receiver is a guaranteed process. The default value is N.
CMSG-START-DYN = {10 | number} | This CMSG-START-DYN parameter controls Dynamic Listeners in the CICS (#RED) tasks. The range is from 2 to 2000. The default value is 10.
GMSG-BES-COMP-TO = {1 | number} | The GMSG-BES-COMP-TO parameter specifies the XCF time to complete the send operation inside the XCF environment. The valid values range from 1 to 30 seconds. The default value is 1 second.
GMSG-BES-REPLY-TO = {3000 | number} | The value of the GMSG-BES-REPLY-TO parameter is sent to `SXXOSRVA` and tells RED Interface how long it should wait for a reply from Substation ES when a request with a reply confirmation is sent by the CICS side. The valid values range from 1 to 30000 milliseconds. The default value is 3000 milliseconds.
GROUP-MONITOR = {TIBMON | name} | The GROUP-MONITOR parameter specifies the Mainframe RED monitor group member name in which Substation ES RED Interface participates. The maximum length is 8 characters.
HUB-NAME = {name } | The HUB-NAME parameter specifies the Mainframe HUB that Substation ES RED Interface uses to send messages between Substation ES and the CICS region. The maximum length is 4 characters. The default value is the SMF ID of that LPAR.
MY-CICS-GROUP = {name} | This parameter specifies the Mainframe RED group member name of RED CICS recipe service listener. The name specified here is the group member of the RED URL. The maximum length is 8 characters. The default value is CICS region APPLID.
P#-AMSG-BUFFERS = {1000 | number} | The P#-AMSG-BUFFERS parameter specifies the number of message buffers for processing the async messages in buffer pool #, where # can be 1, 2, or 3. The valid buffer count is from 5 to 50000. The default value is 1000.
P#-AMSG-BUFFER-SZ = {8192 | number} | The P#-AMSG-BUFFER-SZ parameter specifies the length of the buffer message used to handle the async messages in buffer pool #, where # can be 1, 2, or 3. The valid buffer length is from 256 to 500000. The default value is 8192.
P#-AMSG-NAME = {P#AMSG| number} | The P#-AMSG-NAME parameter specifies the RED target member name in which Substation ES RED Interface publishes async messages. The maximum length is 12 characters.
P#-AMSG-PACING = {0 | number} | The P#-AMSG-PACING parameter instructs the sending request to wait for the specified number of microseconds after an async message is sent from the async message pool # before returning to the CICS application. The valid values range from 0 to 5000000. The default value is 0, which indicates no wait time.
P#-AMSG-TRCLVL = {0 | 0-5} | The P#-AMSG-TRCLVL parameter specifies the trace level for messages produced by RED Interface when tracing the processing of an async message through the interface.
P#-AMSG-WORKERS = {0 | number} | The P#-AMSG-WORKERS parameter specifies the number of concurrent async message worker threads that are started to service async messages in the pool. The valid values range from 0 to 40.
SMSG-BUFFERS = {100 | number} | The SMSG-BUFFERS parameter specifies the number of message buffers for processing synchronous messages. The valid buffer count is from 5 to 5000. The default value is 100.
SMSG-BUFFER-SZ = {4096 | number} | The SMSG-BUFFER-SZ parameter specifies the length of the buffer message used to handle synchronous messages. The valid buffer length is from 1024 to 500000 bytes. The default value is 4096 bytes.
SMSG-MAXLEN = {16382 | number} | The SMSG-MAXLEN parameter sets the maximum length of serialized messages that can be handled in RED Interface. The valid values are from 1024 to 4000000. The default value is 16382 bytes.
SMSG-NAME = {SYNCMSG#1| name} | The SMSG-NAME parameter specifies the RED target member name to which Substation ES RED Interface publishes synchronous messages. The maximum length is 12 characters.
SMSG-WAIT = {10 | number} | The SMSG-WAIT parameter determines the length of time (in seconds) that the synchronous messages thread sets in the RIB for a reply message to return to the sender. This option takes effect only when a reply is required. The valid values range from 0 to 60 seconds. The default value is 10 seconds.
SMSG-WORKERS = {3 | number} | The SMSG-WORKERS parameter specifies the number of concurrent serialized message worker threads that are started to service synchronous messages. The valid values range from 0 to 10. The default value is 3.
TRCLVL = {0 | 0-5} | The TRCLVL parameter specifies the trace level specific to RED Interface when tracing payloads that pass through the interface. This parameter does not duplicate what is set on the system TRCLVL setting but only shows entries in RED Interface. The valid values are as follows: Levels 1 to 3 show information mostly useful to users and TIBCO field staff. Levels 4 and 5 show information only useful to engineering staff. The information is detailed and usually specific to internal stacks and control blocks.
TRCLVL-ONL = {0 | 0-5} | The TRCLVL-ONL parameter specifies the trace level of the messages produced by CICS resident programs that act on or on behalf of Substations ES. Messages are written to the `CEEOUT` and `CEEMSG` CICS output data sets.

Copyright © TIBCO Software Inc. All rights reserved.